<?php

declare(strict_types=1);

namespace Drupal\wordpress_migrate;

use Drupal\Core\Entity\EntityFieldManagerInterface;
use Drupal\Core\File\FileUrlGeneratorInterface;
use Drupal\migrate\Plugin\MigrationPluginManagerInterface;

/**
 * A factory for objects that implement WordPressMigrationGeneratorInterface.
 */
final class WordpressMigrationGeneratorFactory implements WordpressMigrationGeneratorFactoryInterface {

  /**
   * Constructs a WordpressMigrationGeneratorFactory object.
   */
  public function __construct(
    private readonly EntityFieldManagerInterface $entityFieldManager,
    private readonly MigrationPluginManagerInterface $pluginManagerMigration,
    private readonly FileUrlGeneratorInterface $fileUrlGenerator,
  ) {}

  /**
   * {@inheritdoc}
   */
  public function createGenerator(): WordPressMigrationGeneratorInterface {
    return new WordPressMigrationGenerator($this->entityFieldManager, $this->pluginManagerMigration, $this->fileUrlGenerator);
  }

}
