<?php

declare(strict_types=1);

namespace Drupal\wordpress_migrate;

/**
 * A factory for objects that implement WordPressMigrationGeneratorInterface.
 *
 * Use this to create the generator, and then use the generator to create
 * the migrations and save them in the site.
 */
interface WordpressMigrationGeneratorFactoryInterface {

  /**
   * Constructs a WordPress migration generator.
   *
   * @return \Drupal\wordpress_migrate\WordPressMigrationGeneratorInterface
   *   An object that can be used to create the WordPress migrations.
   */
  public function createGenerator(): WordPressMigrationGeneratorInterface;

}
